$(document).ready(function () {
	var emailreg = /^[a-zA-Z0-9_\.\-]+@[a-zA-Z0-9\-]+\.[a-zA-Z0-9\-\.]+$/;
	var cuitreg =  /^(\d{2})-(\d{8})-(\d{1})$/;
	$(".boton").click(function (){
		$(".error").remove();		
		if( $(".nombre").val() == "" ){
			$(".nombre").focus().after("<span class='error'>Ingrese su nombre</span>");
			return false;
		}else if( $(".email").val() == "" || !emailreg.test($(".email").val()) ){
			$(".email").focus().after("<span class='error'>Ingrese un email correcto</span>");
			return false;
		}else if( $(".cuit").val() == "" || !cuitreg.test($(".cuit").val()) ){
			$(".cuit").focus().after("<span class='error'>Ingrese Nº de CUIT</span>");
			return false;
		}else if( $(".razon").val() == ""){
			$(".razon").focus().after("<span class='error'>Ingrese una Razón Social</span>");
			return false;
		}else if( $(".direccion").val() == ""){
			$(".direccion").focus().after("<span class='error'>Ingrese una Dirección</span>");
			return false;
		}else if( $(".postal").val() == ""){
			$(".postal").focus().after("<span class='error'>Ingrese un Código Postal</span>");
			return false;
		}else if( $(".asunto").val() == ""){
			$(".asunto").focus().after("<span class='error'>Ingrese un asunto</span>");
			return false;
		}else if( $(".mensaje").val() == "" ){
			$(".mensaje").focus().after("<span class='error'>Ingrese un mensaje</span>");
			return false;			
		}
	});
	$(".nombre, .razon, .direccion, .postal, .asunto, .mensaje").keyup(function(){
		if( $(this).val() != "" ){
			$(".error").fadeOut();			
			return false;
		}		
	});
	
	$(".email").keyup(function(){
		if( $(this).val() != "" && emailreg.test($(this).val())){
			$(".error").fadeOut();			
			return false;
		}		
	});
	
	$(".cuit").keyup(function(){
		if( $(this).val() != "" && cuitreg.test($(this).val())){
			$(".error").fadeOut();			
			return false;
		}		
	});
});